import { lazy } from 'react';

export const Map = lazy(() => import('../Map'));
export const Filters = lazy(() => import('../Filters'));
export const POIPane = lazy(() => import('../POIPane'));
export const OverlayPane = lazy(() => import('../OverlayPane'));
export const AreaPane = lazy(() => import('../AreaPane'));
export const PropertiesPane = lazy(() =>
  import('../PropertiesPane').then((module) => ({ default: module.PropertiesPane }))
);
export const MobileDrawer = lazy(() => import('../MobileDrawer'));
export const MapPageSelectionPane = lazy(() =>
  import('../MapPageSelectionPane').then((module) => ({ default: module.MapPageSelectionPane }))
);
export const UpgradeModal = lazy(() => import('../../ui/UpgradeModal'));
export const Joyride = lazy(() =>
  import('react-joyride').then((module) => ({ default: module.Joyride }))
);
